#!/bin/sh
### BEGIN INIT INFO
# Provides:          nova-spicehtml5proxy
# Required-Start:    $network $local_fs $remote_fs $syslog
# Required-Stop:     $remote_fs
# Should-Start:      nova-consoleauth
# Should-Stop:       nova-consoleauth
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Nova Spice HTML5 Proxy
# Description:       Nova Spice HTML5 Proxy
### END INIT INFO

# Author: Thomas Goirand <zigo@debian.org>
DESC="OpenStack Nova SPICE HTML5 Proxy (nova-spicehtml5proxy)"
PROJECT_NAME=nova
NAME=${PROJECT_NAME}-spicehtml5proxy

# Exit if the default file not present, or not set to this daemon
if [ -r /etc/default/nova-consoleproxy ] ; then
	. /etc/default/nova-consoleproxy
else
	# This is to prevent pkgos-gen-systemd-unit to exit
	if [ -z "${INIT_TEMPLATE}" ] ; then
		exit 0
	fi
fi

# If SERVICE_FILE is set, we're generating the .service file, and we don't want to exit
if ! [ "${NOVA_CONSOLE_PROXY_TYPE}" = "spicehtml5" ] && [ -z "${SERVICE_FILE}" ] ; then
	# This is to prevent pkgos-gen-systemd-unit to exit
	if [ -z "${INIT_TEMPLATE}" ] ; then
		exit 0
	fi
fi
